Subject: Re: bug#28541: Let gnome-tweak-tool and gnome-control-center have gnome-shell as input

From: [email-masked] (Ludovic Courtès)
Date: Fri, 06 Oct 2017 08:54:24 +0200

Hi Mohammed,

Mohammed Sadiq <[email-masked]> skribis:

> without access to gnome-shell schemas, gnome-tweak-tool won't ever work, so
> it is mandatory. And for the case of gnome-control-center, the keyboard panel
> segfaults if gnome-shell schema isn't present. But since gnome-shell may not
> be used by all g-c-c user, it may not be good to have a hard dependency on
> gnome-shell, but if installed, the schemas of gnome-shell should too be added
> as input (is it possible to do so?)

I suppose the problem doesn’t manifest when using
‘gnome-desktop-service’, because XDG_DATA_DIRS & co. are set such that
the gnome-shell schemas are found.

I would think that’s enough in practice, no?  I doubt these are used
outside of a pure GNOME setting.

Also, gnome-shell depends on gnome-control-center, so
gnome-control-center cannot depend on gnome-shell.

Thanks,
Ludo’.